summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFedja Beader <fedja@protonmail.ch>2025-03-15 20:58:59 +0000
committerFedja Beader <fedja@protonmail.ch>2025-03-15 20:58:59 +0000
commitbabae8f3b279db2bf7dc7d2c1cc48f8003c5bc94 (patch)
tree0172c55655981470f12629d5c6142cbe1e6cbbc6
parentdfef179434011f6c955c252c80c6d15166413145 (diff)
downloadclientdata-babae8f3b279db2bf7dc7d2c1cc48f8003c5bc94.tar.gz
clientdata-babae8f3b279db2bf7dc7d2c1cc48f8003c5bc94.tar.bz2
clientdata-babae8f3b279db2bf7dc7d2c1cc48f8003c5bc94.tar.xz
clientdata-babae8f3b279db2bf7dc7d2c1cc48f8003c5bc94.zip
Change required due to manaverse log file rename
This should fail until SPM pipeline makes a new build. * Modernise file existance check along the way, too **** ml/clientdata!181
-rwxr-xr-x.tools/manaplus.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/.tools/manaplus.sh b/.tools/manaplus.sh
index 239696c9..7d9bda6e 100755
--- a/.tools/manaplus.sh
+++ b/.tools/manaplus.sh
@@ -22,8 +22,8 @@ cd manaplus_master || exit 1
export SDL_VIDEODRIVER=dummy
./bin/manaplus --validate -u -d ../clientdata || exit 1
-ls "${HOME}/.local/share/mana/manaplus.log" || exit 1
-grep -A 10 "Assert:" "${HOME}/.local/share/mana/manaplus.log"
+[[ -f "${HOME}/.local/share/mana/manaverse.log" ]] || exit 1
+grep -A 10 "Assert:" "${HOME}/.local/share/mana/manaverse.log"
if [ "$?" == 0 ]; then
echo "Asserts found"